> For the complete documentation index, see [llms.txt](https://docs.harmony.one/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.harmony.one/home/developers/api/methods/account-methods/hmy_gettransactioncount.md).

# hmy\_getTransactionCount

Given an account address, returns the number of transactions the account has made.

## API v1

### Parameters

1. `String` - Account address
2. `String` - Block number to query for transaction count. Usually `latest`, which uses the most recent block.

### Returns

* `String` - Number of transactions the account has made.

### Sample Curl Request

```bash
curl -d '{
  "jsonrpc": "2.0",
  "method": "hmy_getTransactionCount",
  "params": [
    "one1rgl8538wyygp6ltyl0efkrm0rlpftaertskl80",
    "latest"
  ],
  "id": 1
}' -H "Content-Type:application/json" -X POST "https://api.s0.b.hmny.io"
```

### Sample Curl Response

```javascript
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0x9"
}
```

## API v2

### Parameters

1. `String` - Account address
2. `Number` - Block number to query for transaction count.

### Returns

* `Number` - Number of transactions the account has made.

### Sample Curl Request

```bash
curl -d '{
  "jsonrpc": "2.0",
  "method": "hmyv2_getTransactionCount",
  "params": [
    "one1rgl8538wyygp6ltyl0efkrm0rlpftaertskl80",
    1
  ],
  "id": 1
}' -H "Content-Type:application/json" -X POST "https://api.s0.b.hmny.io"
```

### Sample Curl Response

```javascript
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": 9
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.harmony.one/home/developers/api/methods/account-methods/hmy_gettransactioncount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
